CamelNNTPAddress
3
CAMEL Library

# CamelNNTPAddress

## Synopsis

                        CamelNNTPAddress;
    CamelNNTPAddress*   camel_nntp_address_new              (void);
    int                 camel_nntp_address_add              (CamelNNTPAddress *,
                                                             const char *);
    gboolean            camel_nntp_address_get              (const CamelNNTPAddress *,
                                                             ...,
                                                             const char **);

## Description

## Details

### CamelNNTPAddress

    typedef struct {
    	CamelAddress parent;

    	struct _CamelNNTPAddressPrivate *priv;
    } CamelNNTPAddress;

### camel_nntp_address_new ()

    CamelNNTPAddress*   camel_nntp_address_new              (void);

Create a new CamelNNTPAddress object.

Returns :

  A new CamelNNTPAddress object.

### camel_nntp_address_add ()

    int                 camel_nntp_address_add              (CamelNNTPAddress *,
                                                             const char *);

Add a new nntp address to the address object. Duplicates are not added twice.

`Param1` :

`Param2` :

Returns :

  Index of added entry, or existing matching entry.

### camel_nntp_address_get ()

    gboolean            camel_nntp_address_get              (const CamelNNTPAddress *,
                                                             ...,
                                                             const char **);

Get the address at `index`.

`Param1` :

`...` :

`Param3` :

Returns :

  TRUE if such an address exists, or FALSE otherwise.